Subject: [secdir] Secdir Last Call review of draft-ietf-teas-yang-te-types

From: "Valery Smyslov" <[email-masked]>
Date: Wed, 8 May 2019 11:27:10 +0300

Reviewer: Valery Smyslov	
Review result: Ready with Nits

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the 
IESG.  These comments were written primarily for the benefit of the 
security area directors.  Document editors and WG chairs should treat 
these comments just like any other last call comments.

The draft defines a set of common YANG elements (typedefs, identities and groupings)
that are intended to be used in Traffic Engineering related YANG modules.
The draft as such doesn't have security implications. The Security Considerations
section contains general advices on using YANG with data management
protocols (like NETCONF or RESTCONF), which are applicable when 
these definitions are imported and used in other YANG modules.
The advices include using secure protocols (SSH for NETCONF and TLS1.3 for RESTCONF)
and implementing access control for sensitive YANG data nodes. 

Nit: I don't think that reference to TLS1.3 (RFC8446)
should be normative. In my understanding readers of this document
are not obliged to read and fully understand the details of TLS to be able
to import the definitions and create a TE-related YANG module.